DateTimeZone
DateTimeZone::getLocation
DateTimeZone
PHP Manual

# DateTimeZone::__construct

# timezone_open

Creates new DateTimeZone object

### Description

Object oriented style

public DateTimeZone::__construct ( string `$timezone` )

Procedural style

DateTimeZone timezone_open ( string `$timezone` )

Creates new DateTimeZone object.

### Parameters

`timezone`

  One of timezones.

### Return Values

Returns DateTimeZone on success. Procedural style returns `FALSE` on failure.

### Errors/Exceptions

This method throws Exception if the timezone supplied is not recognised as a valid timezone.

### Examples

Example #1 Catching errors when instantiating DateTimeZone

`<?php
// Error handling by catching exceptions
$timezones = array('Europe/London', 'Mars/Phobos', 'Jupiter/Europa');
foreach ($timezones as $tz) {
try {
$mars = new DateTimeZone($tz);
} catch(Exception $e) {
echo $e->getMessage() . '<br />';
}
}
?>`

The above example will output:

    DateTimeZone::__construct() [datetimezone.--construct]: Unknown or bad timezone (Mars/Phobos)
    DateTimeZone::__construct() [datetimezone.--construct]: Unknown or bad timezone (Jupiter/Europa)